(setq org-agenda-files (list "~/Documents/home-org-mode/tweaking.org"
			     "~/Documents/org-mode/school.org"
			     "~/Documents/home-org-mode/untitled_project.org"
			     "~/Documents/home-org-mode/personal.org"))

(set-frame-font "Iosevka:size=16")
(use-package all-the-icons)

(use-package org-roam
  :ensure t
  :init
  (setq org-roam-v2-ack t)
  :custom
  (org-roam-directory "~/Documents/slipbox")
  (org-roam-completion-everywhere t)
  :bind (("C-c n l" . org-roam-buffer-toggle)
         ("C-c n f" . org-roam-node-find)
         ("C-c n i" . org-roam-node-insert)
         :map org-mode-map
         ("C-M-i" . completion-at-point)
  :config
  (org-roam-setup)
  (org-roam-db-autosync-mode)))

(add-to-list 'auto-mode-alist '("neomutt" . mail-mode))
(setq appt-message-warning-time 15
      appt-display-format 'window)
(appt-activate 1)
(defun notify-send (title msg)
  (interactive)
  (shell-command (concat "notify-send '" title "' '" msg "'")))
(defun facade-notify-appt (min-to-app new-time msg)
  (notify-send (format "Appointment in %s minute(s)" min-to-app) msg))

(add-hook 'mail-mode-hook 'flyspell-mode 1)
(setq appt-disp-window-function (function facade-notify-appt))

(provide 'emacs_home)
;;;emacs_home.el ends here
